Loading...
Searching...
No Matches
BoundsInference.h File Reference

Defines the bounds_inference lowering pass. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include "Expr.h"`
`#include "Interval.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::bounds_inference (Stmt, const std::vector< Function > &outputs, const std::vector< std::string > &realization_order, const std::vector< std::vector< std::string > > &fused_groups, const std::map< std::string, Function > &environment, const std::map< std::pair< std::string, int >, Interval > &func_bounds, const Target &target)
| Take a partially lowered statement that includes symbolic representations of the bounds over which things should be realized, and inject expressions defining those bounds.

## Detailed Description

Defines the bounds_inference lowering pass.

Definition in file BoundsInference.h.